@import "src/@fuse/scss/fuse";

#dashboard-analytics {

  .main-widget {
    display: flex;
    flex-direction: column;
  }

  .content {
    display: flex;
    flex: 1 1 auto;
    padding: 32px;
    min-width: 0;

    @include media-breakpoint('lt-lg') {
      flex-direction: column;
    }

    .left {
      display: flex;
      flex-direction: column;
      flex: 1 1 auto;
      min-width: 0;

      .widget {
        flex: 1 1 auto;
        min-width: 0;
      }
    }

    .right {
      display: flex;
      flex: 0 0 auto;
      width: 320px;
      min-width: 320px;
      max-width: 320px;

      @include media-breakpoint('lt-lg') {
        flex: 1 0 100%;
        margin-top: 32px;
        width: 100%;
        min-width: 0;
        max-width: none;
      }

      .fuse-card {

        @include media-breakpoint('lt-lg') {
          width: 100%;
          min-width: 0;
          max-width: none;
        }
      }
    }
  }

  table {
    width: 100%;
  }

  tr.custom-row:hover {
    background: #f5f5f5;
  }

  .scroll-table {
    overflow-x: auto;
  }

  .action-column {
    display: inline-flex;
  }

  th, td {
    padding-right: 10px;
    padding-left: 10px;
    border-right: rgba(0, 0, 0, 0.12) 1px solid;
  }

  .border-col-end {
    padding-left: 10px;
    border-right: none;
  }

  .mr-10 {
    margin-right: 10px;
  }

  .delivered {
    background-color: #2e7d32;
    color: white;
  }

  .not-paid {
    background-color: #ba68c8;
    color: white;
  }

  .payment-accepted {
    background-color: #4caf50;
  }

  .payment-error {
    background-color: #b71c1c;
    color: white;
  }

  .preparing-the-order {
    background-color: #ff9800;
  }

  .awaiting-paypal-payment {
    background-color: #2916f3;
    color: white;
  }

  .shipped {
    background-color: #9c27b0;
    color: white;
  }

  .remote-payment-accepted {
    background-color: #4caf50;
  }

  .text-badge {
    padding: 5px;
    display: inline;
  }
}
